Retrieve all time spent entries that are linked to a specific entity.
GET
/data/entities/{entity_id}/time-spents
curl
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/time-spents" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/time-spents"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/time-spents' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"duration": 2.5,
"date": "2023-12-07",
"created_at": "2023-01-01T12:00:00Z",
"person_id": "b35b7fb5-df86-5776-b181-68564193d36",
"entity_id": "c46c8gc6-eg97-6887-c292-79675204e47"
}
]